package editor;

/**
 * Realisiert einen Editor zum Editieren von Java-Dateien.
 * 
 * Ist gem des Observer/Observable-Pattern implementiert. Werden nderungen im
 * Editor vorgenommen (neue Eingabe, abspeichern) werden die Observer darber
 * informiert.
 * 
 * @author Dietrich Boles, Uni Oldenburg
 * @version 1.0 (12.11.2008)
 * 
 */
public class JavaEditor extends Editor {

	/**
	 * Erzeugt einen neuen Java-Editor; bergeben wird der Name der zu
	 * verwaltenen Datei
	 * 
	 * @param fileName
	 * @param playName
	 * @param isJava
	 */
	public JavaEditor(String fileName) {
		this(fileName, null);
	}

	/**
	 * Erzeugt einen neuen Java-Editor; bergeben wird der Name der zu
	 * verwaltenen Datei sowie ein weiterer (bergeordneter) Name
	 * 
	 * @param fileName
	 * @param playName
	 * @param isJava
	 */
	public JavaEditor(String fileName, String playName) {
		super(fileName, playName, true);
	}
}
